Overlay one or more watermarks (images and/or text) onto a video or image. Supports 9-position grid, rotation, shadow, outline, opacity, quality presets, and time-ranged visibility (video only). Up to 10 watermarks per job.
cURL
curl --request POST \ --url https://api.rendobar.com/watermark/apply \ --header 'Content-Type: application/json' \ --data ' { "inputs": { "source": "https://cdn.rendobar.com/assets/examples/sample.mp4" }, "params": { "watermarks": [ { "type": "image", "url": "https://cdn.rendobar.com/assets/brand/logo-full.png", "position": "bottom-right" }, { "type": "text", "content": "© 2026 Rendobar", "position": "bottom-left", "shadow": true } ] } } '
{ "data": { "id": "<string>", "status": "dispatched" } }
Show child attributes
Job created and dispatched successfully
Was this page helpful?